Subject: bug#8115: closed (Re: bug#11997: 24.1.50; Crash under MacOS X)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Aug 2016 18:48:03 +0000

Your bug report

#7765: 24.0.50; repeated crashes on mac os x.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7765: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7765
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11997: 24.1.50; Crash under MacOS X
From: Alan Third <[email-masked]>
To: Konrad Hinsen <[email-masked]>
Cc: [email-masked], [email-masked], emacs user <[email-masked]>
Date: Thu, 11 Aug 2016 19:47:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Konrad Hinsen <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>> Konrad Hinsen <[email-masked]> writes:
>>
>>> Emacs crashed while I was reading my mail using ViewMail. This happens
>>> to me about once per month. The gdb traceback is attached. My Emacs
>>> was compiled from trunk in the Bazaar repository, updated on July 19th
>>> 2012.
>>
>> Hi, sorry nobody's got back to you about these crashes before now. Are
>> either of you still getting them?
>
> I switched from VM to notmuch a year ago, but I stopped noticing those
> crashes long before, so I assume the bug has been fixed.

Thanks. I'm going to close this bug report, but if anyone is still
experiencing the crashes, please let us know or re-open the report.
-- 
Alan Third

Subject: 24.0.50; repeated crashes on mac os x.
From: emacs user <[email-masked]>
To: [email-masked]
Date: Fri, 25 Feb 2011 08:21:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi developers, I've reported a few times related and fairly frequent
crashes I am seeing on Mac OS X.  Here is another one.  This typically
occurs when reading my mail using VM.  As always, while I cannot
provide a simple reproducible example, I can reproduce the crash
myself using my setup and mail files.  I hope someone can take a look
at this, I'd be more than happy to help with tests etc, I wish I knew
more and could do more of the debugging myself.  I hope this is
helpful, please let me know if there is anything else I can do.

Process:         Emacs [28500]
Path:            /usr/local/emacs/trunk/nextstep/Emacs.app/Contents/MacOS/Emacs
Identifier:      org.gnu.Emacs
Version:         Version 24.0.50 (9.0)
Code Type:       X86 (Native)
Parent Process:  launchd [9220]

Interval Since Last Report:          76916 sec
Crashes Since Last Report:           7424
Per-App Interval Since Last Report:  25453 sec
Per-App Crashes Since Last Report:   2

Date/Time:       2011-02-25 08:11:21.898 -0500
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_PROTECTION_FAILURE at 0x00000000bf7fff8c
Crashed Thread:  0

Thread 0 Crashed:
0   org.gnu.Emacs                 	0x00115d69 mark_object + 9 (alloc.c:5262)
1   org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
2   org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
3   org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
4   org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
5   org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
6   org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
7   org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
8   org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
9   org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
10  org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
11  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
12  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
13  org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
14  org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
15  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
16  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
17  org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
18  org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
19  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
20  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
21  org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
22  org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
23  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
24  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
25  org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
26  org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
27  org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
...
494 org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
495 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
496 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
497 org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
498 org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
499 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
500 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
501 org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
502 org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
503 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
504 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
505 org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
506 org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
507 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
508 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)
509 org.gnu.Emacs                 	0x0011604a mark_object + 746 (alloc.c:5543)
510 org.gnu.Emacs                 	0x0011608d mark_object + 813 (alloc.c:5435)
511 org.gnu.Emacs                 	0x001167cc mark_vectorlike + 60
(alloc.c:5228)

Thread 1:
0   libSystem.B.dylib             	0x9792344e __semwait_signal + 10
1   libSystem.B.dylib             	0x9794ddcd pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x95f5aa09 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x9794d155 _pthread_start + 321
4   libSystem.B.dylib             	0x9794d012 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x308b7885  ebx: 0x00115d6e  ecx: 0x003e0a34  edx: 0x2b2fc000
  edi: 0x00000001  esi: 0x2b2fc1a8  ebp: 0xbf800018  esp: 0xbf7fff90
   ss: 0x0000001f  efl: 0x00010286  eip: 0x00115d69   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0xbf7fff8c

In GNU Emacs 24.0.50.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2011-02-17 on beach.fas.harvard.edu
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns' '--without-x''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t